{% load static %}

<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>
            {% block title %}
            {% endblock title %}
        </title>
    </head>
    <body>
        <header>
            <nav>
                <ul>
                    <!-- if user is logged in -->
                    {% if user.is_authenticated %}
                    <!-- see links to all list pages and create pages
                     -->
                    <li>
                        <a href="{% url 'create_account' %}">Create Account</a>
                    </li>
                    <li>
                        <a href="{% url 'create_category' %}">Create Category</a>
                    </li>
                    <li>
                        <a href="{% url 'create_receipt' %}">Create Receipt</a>
                    </li>
                    <li>
                        <a href="{% url 'account_list' %}">Account List</a>
                    </li>
                    <li>
                        <a href="{% url 'category_list' %}">Category List</a>
                    </li>
                    <li>
                        <a href="{% url 'home' %}">Receipt List</a>
                    </li>
                    <li>
                        <a href="{% url 'logout' %}">Logout</a>
                    </li>
                    <!-- if user is NOT logged in -->
                    {% else %}
                    <li>
                        <a href="{% url '' %}"></a>
                    </li>
                    <li>
                        <a href="{% url 'signup' %}">Sign Up</a>
                        <a href="{% url 'login' %}">Login</a>
                    </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        {% block content %}
        {% endblock content %}
    </body>
</html>
